/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.caseprojectfeature.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.caseprojectfeature.entity.CaseProjectFeature;
import com.jeeplus.modules.caseprojectfeature.dao.CaseProjectFeatureDao;

/**
 * 案例-主要项目特征Service
 * @author fgy
 * @version 2018-01-24
 */
@Service
@Transactional(readOnly = true)
public class CaseProjectFeatureService extends CrudService<CaseProjectFeatureDao, CaseProjectFeature> {

	public CaseProjectFeature get(String id) {
		return super.get(id);
	}
	
	public List<CaseProjectFeature> findList(CaseProjectFeature caseProjectFeature) {
		return super.findList(caseProjectFeature);
	}
	
	public Page<CaseProjectFeature> findPage(Page<CaseProjectFeature> page, CaseProjectFeature caseProjectFeature) {
		return super.findPage(page, caseProjectFeature);
	}
	
	@Transactional(readOnly = false)
	public void save(CaseProjectFeature caseProjectFeature) {
		super.save(caseProjectFeature);
	}
	
	@Transactional(readOnly = false)
	public void delete(CaseProjectFeature caseProjectFeature) {
		super.delete(caseProjectFeature);
	}
	
	
	
	
}